Address:
  type: object
  description: адрес
  nullable: true
  properties:
    address_string:
      description: Полная строка адреса
      type: string
    country_code:
      allOf:
        - type: string
        - $ref: '../../enums/country_code_enum.yaml'
    post_index:
      description: Почтовый индекс
      type: string
      example:
        "124482"
    region:
      description: Регион
      type: string
      example:
        "Москва"
    region_guid:
      type: string
      description: GUID региона
      example:
        "0c5b2444-70a0-4932-980c-b4dc0d3f02b5"
    area:
      type: string
      description: название области
      nullable: true
      example:
        ""
    area_guid:
      type: string
      description: GUID области
      nullable: true
      example:
        ""
    city:
      type: string
      description: название города
      nullable: true
      example:
        "Зеленоград"
    city_guid:
      type: string
      description: GUID города
      nullable: true
      example:
        "ec44c0ee-bf24-41c8-9e1c-76136ab05cbf"
    street:
      type: string
      description: улица
      nullable: true
      example:
        ""
    house:
      description: дом
      type: string
      nullable: true
      example:
        "305"
    block:
      description: Строение / Корпус
      type: string
      nullable: true
      example:
        ""
    flat:
      description: Квартира / Офис
      type: string
      nullable: true
      example:
        "5"
    floor:
      type: string
      description: этаж
      nullable: true
      example:
        "2"
    porch:
      type: string
      description: подъезд
      nullable: true
      example:
        ""
    intercom:
      type: string
      description: код домофона
      nullable: true
      example:
        "001#777"
    geo_lat:
      description: широта
      type: string
      example: '55.013548'
    geo_lon:
      description: долгота
      type: string
      example: '36.115588'
  required:
    - address_string
    - country_code
    - post_index
    - region
    - region_guid
    - geo_lat
    - geo_lon
